petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDualSpaceGetHeightSubspace

Get the subset of the dual space basis that is supported on a mesh point of a given height.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetHeightSubspace(PetscDualSpace sp, PetscInt height, PetscDualSpace *bdsp)

If the dual space is not defined on mesh points of the given height (e.g. if the space is discontinuous and Many brpointwise values are not defined on the element boundaries), or if the implementation of PetscDualSpace does not Many brsupport extracting subspaces, then NULL is returned. Many br

This does not increment the reference count on the returned dual space, and the user should not destroy it. Many br

Not collective Many br

### Input Parameters

| sp | - the PetscDualSpace object Many br
| height | - the height of the mesh point for which the subspace is desired Many br

### Output Parameters

bdsp - the subspace: must be destroyed by the user Many br

Many br

### See Also

PetscDualSpace

Level:advanced
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages